#ifndef STANDARD_LERPING_HPP_
#define STANDARD_LERPING_HPP_

#include <Utilities/Animating.hpp>
#include <Utilities/Extern.hpp>

template<typename T>
class StandardLerping final : public Animating<T>
{
public:
    StandardLerping() : Animating<T>(
        [](T a, T b) -> T
        {
            return glm::mix(a, b, 0.45f);
        }
    ) {}
};

#endif